PublishingPluginRules (Gradle API 9.5.1)
Description: declaration: package: org.gradle.api.publish.plugins, class: PublishingPluginRules

Package org.gradle.api.publish.plugins

# Class PublishingPluginRules

java.lang.Object
org.gradle.model.RuleSource
org.gradle.api.publish.plugins.PublishingPluginRules

class PublishingPluginRules extends RuleSource
These bindings are only here for backwards compatibility, as some users might depend on the extensions being available in the model.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PublishingPluginRules()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) void`
  `addConfiguredPublicationsToProjectPublicationRegistry(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry projectPublicationRegistry, PublishingExtension extension)`
  `(package private) org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry`
  `projectPublicationRegistry(org.gradle.internal.service.ServiceRegistry serviceRegistry)`
  `(package private) PublishingExtension`
  `publishing(ExtensionContainer extensions)`
  `(package private) void`
  `tasksDependOnProjectPublicationRegistry(ModelMap<Task> tasks, PublishingExtension extension)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PublishingPluginRules

    PublishingPluginRules()

- ## Method Details

  - ### publishing

    PublishingExtension publishing(ExtensionContainer extensions)

  - ### projectPublicationRegistry

    org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry projectPublicationRegistry(org.gradle.internal.service.ServiceRegistry serviceRegistry)

  - ### addConfiguredPublicationsToProjectPublicationRegistry

    void addConfiguredPublicationsToProjectPublicationRegistry(org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectPublicationRegistry projectPublicationRegistry, PublishingExtension extension)

  - ### tasksDependOnProjectPublicationRegistry

    void tasksDependOnProjectPublicationRegistry(ModelMap<Task> tasks, PublishingExtension extension)